Try it free

Vulnerabilities API - POST unmute vulnerabilities

  • Reference

Unmutes multiple vulnerabilities. Unmuted vulnerabilities are displayed on the vulnerability list in Dynatrace.

The request consumes an application/json payload.

POSTSaaShttps://{your-environment-id}.live.dynatrace.com/api/v2/securityProblems/unmute
POSTEnvironment ActiveGateCluster ActiveGatehttps://{your-activegate-domain}:9999/e/{your-environment-id}/api/v2/securityProblems/unmute

Authentication

Api-Token:

To execute this request, you need an access token with securityProblems.write scope.

One of the following permissions is required for personal access tokens:

  • environment:roles:manage-security-problems

To learn how to obtain and use it, see Personal access tokens.

Parameters

ParameterTypeDescriptionInRequired
bodySecurityProblemsBulkUnmute

The JSON body of the request. Contains the un-muting information.

bodyOptional

Request body objects

The SecurityProblemsBulkUnmute object

Information on un-muting several security problems.

ElementTypeDescriptionRequired
commentstring

A comment about the un-muting reason.

Optional
reasonstring

The reason for un-muting the security problems.

The element can hold these values
  • AFFECTED
Required
securityProblemIdsstring[]

The ids of the security problems to be un-muted.

Required

Request body JSON model

This is a model of the request body, showing the possible elements. It has to be adjusted for usage in an actual request.

{
"comment": "string",
"reason": "AFFECTED",
"securityProblemIds": [
"string"
]
}

Response

Response codes

CodeTypeDescription
200SecurityProblemsBulkUnmuteResponse

Success. The security problem(s) have been un-muted.

4XXErrorEnvelope

Client side error.

5XXErrorEnvelope

Server side error.

Response body objects

The SecurityProblemsBulkUnmuteResponse object

Response of un-muting several security problems.

ElementTypeDescription
summarySecurityProblemBulkMutingSummary[]

The summary of which security problems were un-muted and which already were un-muted previously.

The SecurityProblemBulkMutingSummary object

Summary of (un-)muting a security problem.

ElementTypeDescription
muteStateChangeTriggeredboolean

Whether a mute state change for the given security problem was triggered by this request.

reasonstring

Contains a reason, in case the requested operation was not executed.

The element can hold these values
  • ALREADY_MUTED
  • ALREADY_UNMUTED
securityProblemIdstring

The id of the security problem that was (un-)muted.

The ErrorEnvelope object

ElementTypeDescription
errorError-

The Error object

ElementTypeDescription
codeinteger

The HTTP status code

constraintViolationsConstraintViolation[]

A list of constraint violations

messagestring

The error message

The ConstraintViolation object

A list of constraint violations

ElementTypeDescription
locationstring-
messagestring-
parameterLocationstring-
The element can hold these values
  • HEADER
  • PATH
  • PAYLOAD_BODY
  • QUERY
pathstring-

Response body JSON models

{
"summary": [
{
"muteStateChangeTriggered": true,
"reason": "ALREADY_MUTED",
"securityProblemId": "string"
}
]
}
{
"error": {
"code": 1,
"constraintViolations": [
{
"location": "string",
"message": "string",
"parameterLocation": "HEADER",
"path": "string"
}
],
"message": "string"
}
}

Example

Unmute two vulnerabilities, 2919200225913269102 and 4537041069803077238.

Curl

curl -X 'POST' 'https://mySampleEnv.live.dynatrace.com/api/v2/securityProblems/unmute' \
-H 'accept: application/json; charset=utf-8' \
-H 'Authorization: Api-Token [your_token]' \
-H 'Content-Type: application/json; charset=utf-8' \
-d '{
"comment": "Example unmute bulk",
"reason": "AFFECTED",
"securityProblemIds": [
"2919200225913269102", "4537041069803077238"
]
}'

Request URL

https://mySampleEnv.live.dynatrace.com/api/v2/securityProblems/unmute

Request body

{
"comment": "Example unmute bulk",
"reason": "AFFECTED",
"securityProblemIds": [
"2919200225913269102", "4537041069803077238"
]
}

Response body

{
"summary": [
{
"securityProblemId": "2919200225913269102",
"muteStateChangeTriggered": true
},
{
"securityProblemId": "4537041069803077238",
"muteStateChangeTriggered": true
}
]
}

Here, muteStateChangeTriggered indicates the success of the operation.

Note that unmuting a vulnerability can take up to one minute.

Related topics

  • Application Security
  • Davis Security Advisor API